Skip to content
POST/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy
NameDescription
Content-Typeapplication/x-www-form-urlencoded
Acceptapplication/json (default) or application/xml
NameDescription
package_idThe id field value of the vault_package__v object record used for deploy. See Import Package above.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/x-www-form-urlencoded" \ https://myvault.veevavault.com/api/v22.2/vobject/vault_package__v/0PI000000000101/actions/deploy
{ "responseStatus": "SUCCESS", "url": "/api/v22.2/services/jobs/23301", "job_id": 23301 }

On SUCCESS, the response includes the following information:

  • url - The URL to retrieve the current status of the export job.
  • job_id - The Job ID value is used to retrieve the status and results of the request.